declare const Email: any
import '@/utils/email'
import IUser from '@/models/IUser'

class EmailService {
  public sendActivation(
    user: IUser,
    callback: (message: string) => void
  ): void {
    Email.send(
      'juliencalixte@gmail.com',
      user.email,
      'Welcome to Vaquant',
      'Body',
      {
        token: 'e085d2ab-6be2-4c69-bc85-8d787893e4fc',
        callback
      }
    )
  }
}

export default new EmailService()
